Bug 988759 - [fork][origin_runtime_192]Failed to override the existing variables which is neither special variable nor in .env/
[fork][origin_runtime_192]Failed to override the existing variables which is ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 06:11 EDT by chunchen
Modified: 2016-09-29 22:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 18:57:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chunchen 2013-07-26 06:11:06 EDT
Description of problem:
It's failed to override a existing variable which is neither special variable nor in .env/

Version-Release number of selected component (if applicable):
fork_ami_origin_runtime_192_722 

How reproducible:
always

Steps to Reproduce:
1. Create an app with mysql
rhc app create cphp00 php-5.3 mysql-5.1 --no-git
2. SSH into a instance
3. Check a existing variable value like OPENSHIFT_MYSQL_DB_URL
rhc ssh cphp00 'env |grep OPENSHIFT_MYSQL_DB_URL'
4. Override this existing variable
oo-user-var-add --with-app-uuid 668090433885007029207040 --with-container-uuid 668090433885007029207040 OPENSHIFT_MYSQL_DB_URL=mysql://test:test@0.0.0.0:1/
5. Check this existing variable value again
rhc ssh cphp00 'env |grep OPENSHIFT_MYSQL_DB_URL'

Actual results:
Step 5 is the same as step 3


Expected results:
Overridding the existing variables which is neither special variable nor in .env/ should be successfully.

Additional info:
Comment 1 Jhon Honce 2013-07-26 14:16:43 EDT
Updated origin_runtime_192 is available
Comment 2 chunchen 2013-07-28 21:52:35 EDT
It's fixed, verified on fork_ami_origin_runtime_192_727.
Comment 3 openshift-github-bot 2013-08-19 18:29:49 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/fce91506209bb1b23963dc223793066189a5dcf1
WIP Node Platform - Add support for settable user variables

* Update Openshift mcollective agent and ddl
* Move gear ssh key creation to happen when gear created
* Added oo-user-var-add/remove/list commands
* Create .env/user_vars when creating gear

Bug 988759 - Failed to override the existing variables
Bug 988691 - Failed to add the 25th user variables

Note You need to log in before you can comment on or make changes to this bug.